SDL_HINT_AUDIO_DEVICE_RAW_STREAM(3)

NAME
SDL_HINT_AUDIO_DEVICE_RAW_STREAM - Specify whether this audio device should do audio processing.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_AUDIO_DEVICE_RAW_STREAM "SDL_AUDIO_DEVICE_RAW_STREAM"

DESCRIPTION
Some operating systems perform echo cancellation, gain control, and noise reduction as needed. If your application already handles these, you can set this hint to prevent the OS from doing additional audio processing.

This corresponds to the WASAPI audio option AUDCLNT_STREAMOPTIONS_RAW.

The variable can be set to the following values:

• "0": audio processing can be done by the OS. (default)

• "1": audio processing is done by the application.

This hint should be set before an audio device is opened.

AVAILABILITY
This hint is available since SDL 3.4.0.